[[Special:AbuseFilter/history]] does not show changes to private filters even though userrights include abusefilter-viewprivate
Closed, ResolvedPublic

Description

Author: xenowiki

Description:
This is probably something that needs fixed after https://bugzilla.wikimedia.org/show_bug.cgi?id=20721 - which allowed admins without the abuse filter editor (called "edit filter manager" on en.wiki) userright to see private filters.

However, http://en.wikipedia.org/wiki/Special:AbuseFilter/history is still hiding (from admins without EFM) changes to private filters even though the admin has the abusefilter-viewprivate right in the sysop package.


Version: unspecified
Severity: major
Whiteboard: aklapper-moreinfo
URL: http://en.wikipedia.org/wiki/Wikipedia_talk:EF#Remove_flag_from_admins_who_don.27t_use_it

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz22033.
bzimport created this task.Via LegacyJan 6 2010, 5:24 PM
bzimport added a comment.Via ConduitMay 18 2010, 6:41 PM

xenowiki wrote:

Also doesn't let me view history:

"The filter you requested is hidden, and you cannot view its history."

Jdforrester-WMF added a comment.Via ConduitMar 5 2013, 7:51 PM

(Sorry for the huge delay in answer this.)

Is this still an issue? I cannot reproduce it on my +sysop-only account for Commons or Wikidata.

Aklapper added a comment.Via ConduitMar 20 2013, 2:26 PM

xenocidic: Could you answer comment 2, please?

hoo added a comment.Via ConduitFeb 4 2014, 9:44 PM

I think we fixed that... if not, please reopen

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.